Subject: Re: bug#20178: 24.3; Two feature requests for tabulated-list.el

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 24 Jan 2022 17:24:51 +0100

Stefan Kangas <[email-masked]> writes:

> (And as I'm about to send this, I realize that we would probably want
> the same behavior also for the `tabulated-list-sort' command?  Either
> for consecutive invocations or for the prefix argument.)

This was fixed in Emacs 28 -- `C-u - S' reverts back to the original
sort.

I've now added the `S' command to `electric-buffer-list', too.

> (tabulated-list-third-click-resets-sort): New buffer local variable to
> control above new optional behavior.

I'm not sure this would be used much -- does other things that sort
based on clicking the headers work this way?  But I don't oppose adding
it if it's something that'd be used.

Any opinions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no